#ifndef macrolib_ibis_ccvs_mult_INCLUDED
#define macrolib_ibis_ccvs_mult_INCLUDED
#if defined(__GNUC__) && defined(unix)
#  pragma interface "macrolib_ibis_ccvs_mult.hpp"
#endif
#ifndef macrolib_ibis_ccvs_mult_export
#  if defined(_WIN32) && !defined(unix)
#    define macrolib_ibis_ccvs_mult_export __declspec(dllimport)
#  else
#    define macrolib_ibis_ccvs_mult_export
#  endif
#endif
#include "smash_enum.h"
#include "std_standard.hpp"
using namespace STD;
#include "ieee_electrical_systems.hpp"
using namespace IEEE;
namespace MACROLIB
{
class macrolib_ibis_ccvs_mult_export IBIS_CCVS_MULT {
public:
const char *mInstanceName;
static char smGF[1];
char mGF[1];
static STANDARD_REAL smGV0;
const STANDARD_REAL SCALE;
static char smPF[6];
static short smPT[6];
static const char *smAN[6];
char mPF[6];
short mPT[6];
static ELECTRICAL_SYSTEMS_ELECTRICAL *smPV0;
ELECTRICAL_SYSTEMS_ELECTRICAL &P;
static double smPE0;
double mPE0;
T_B3CIDispatcher *P_dispatchers;
static ELECTRICAL_SYSTEMS_ELECTRICAL *smPV1;
ELECTRICAL_SYSTEMS_ELECTRICAL &N;
static double smPE1;
double mPE1;
T_B3CIDispatcher *N_dispatchers;
static ELECTRICAL_SYSTEMS_ELECTRICAL *smPV2;
ELECTRICAL_SYSTEMS_ELECTRICAL &PS1;
static double smPE2;
double mPE2;
T_B3CIDispatcher *PS1_dispatchers;
static ELECTRICAL_SYSTEMS_ELECTRICAL *smPV3;
ELECTRICAL_SYSTEMS_ELECTRICAL &NS1;
static double smPE3;
double mPE3;
T_B3CIDispatcher *NS1_dispatchers;
static ELECTRICAL_SYSTEMS_ELECTRICAL *smPV4;
ELECTRICAL_SYSTEMS_ELECTRICAL &PS2;
static double smPE4;
double mPE4;
T_B3CIDispatcher *PS2_dispatchers;
static ELECTRICAL_SYSTEMS_ELECTRICAL *smPV5;
ELECTRICAL_SYSTEMS_ELECTRICAL &NS2;
static double smPE5;
double mPE5;
T_B3CIDispatcher *NS2_dispatchers;
virtual short ElaborateConfiguration(const char *, long) = 0;
public:
IBIS_CCVS_MULT();
virtual ~IBIS_CCVS_MULT();
};
extern "C" macrolib_ibis_ccvs_mult_export const char *MACROLIB_IBIS_CCVS_MULT_GetGenericName(short);
extern "C" macrolib_ibis_ccvs_mult_export const char *MACROLIB_IBIS_CCVS_MULT_GetPortName(short);
extern "C" macrolib_ibis_ccvs_mult_export void MACROLIB_IBIS_CCVS_MULT_InitStaticGenericPort(void);
extern "C" macrolib_ibis_ccvs_mult_export short MACROLIB_IBIS_CCVS_MULT_SetGeneric(const char *, const char *, const char *, const T_B3CIValue *);
extern "C" macrolib_ibis_ccvs_mult_export short MACROLIB_IBIS_CCVS_MULT_SetPort(short inLang, const char *, const char *, const char *, const char *, void *, long, double, short, short);
extern "C" macrolib_ibis_ccvs_mult_export short MACROLIB_IBIS_CCVS_MULT_InstantiateUnmappedPort(const char *);
extern "C" macrolib_ibis_ccvs_mult_export short MACROLIB_IBIS_CCVS_MULT_Elaborate(T_B3CIHandle *, const char *, long, short);
extern "C" macrolib_ibis_ccvs_mult_export short MACROLIB_IBIS_CCVS_MULT_Initialize(T_B3CIHandle, long, double *);
extern "C" macrolib_ibis_ccvs_mult_export short MACROLIB_IBIS_CCVS_MULT_Finalize(T_B3CIHandle);
extern "C" macrolib_ibis_ccvs_mult_export short MACROLIB_IBIS_CCVS_MULT_AmsLink(T_B3CIHandle, long, long **);
extern "C" macrolib_ibis_ccvs_mult_export short MACROLIB_IBIS_CCVS_MULT_AmsBim(T_B3CIHandle, long, TRANS_PARAM_BIM *, long **);
extern "C" macrolib_ibis_ccvs_mult_export short MACROLIB_IBIS_CCVS_MULT_AmsConverge(T_B3CIHandle, long, long **, double *, unsigned char *, ANALYSISTYPE);
}
#endif /* macrolib_ibis_ccvs_mult_INCLUDED */
